import { Content } from './content';
import { GenType } from './gen-type';
import { Importable } from './importable';
import { Operation } from './operation';
import { Options } from './options';
/**
 * An operation has a variant per distinct possible body content
 */
export declare class OperationVariant extends GenType implements Importable {
    operation: Operation;
    methodName: string;
    requestBody: Content | null;
    successResponse: Content | null;
    options: Options;
    responseMethodName: string;
    resultType: string;
    responseType: string;
    accept: string;
    isVoid: boolean;
    isNumber: boolean;
    isBoolean: boolean;
    isOther: boolean;
    responseMethodTsComments: string;
    bodyMethodTsComments: string;
    paramsType: string;
    paramsImport: Importable;
    importName: string;
    importPath: string;
    importFile: string;
    constructor(operation: Operation, methodName: string, requestBody: Content | null, successResponse: Content | null, options: Options);
    private inferResponseType;
    private responseMethodDescription;
    private bodyMethodDescription;
    private descriptionPrefix;
    private descriptionSuffix;
    protected skipImport(): boolean;
    protected initPathToRoot(): string;
}
